<div class="container">

    <div class="studentlist">
        <div class="student" *ngFor="let class of subjects">
            <input type="radio" id="{{class.subjectID}}" name="student" (click)="showClassesForSubject(class.subjectID)">
            <label for="{{class.subjectID}}">{{class.subjectName}}</label>
        </div>
    </div>
    <div class="testTemplates">
        <div  *ngFor="let class of classes">
            <button class="template" (click)="AddTemplateToTest(class.taskTemplate)">{{class.classTitle}}</button>
        </div>
        <div class="test">
            <div class="task" *ngFor="let task of test; let i = index">
                <br/>
                <div class="taskNumberDiv">
                    <label class="taskNumber">{{i+1}}. Упореди дате бројеве: </label>
                </div>
                <div class="inputsDiv" *ngFor="let token of task.tokens">
                    <input class="numberInput" *ngIf="token.type === 2" [value]="token.value" (keyup)="updateToken(token, $event)">
                    <span *ngIf="token.type === 0">{{token.value}}</span>
                    <div class="circle" *ngIf="token.type === 1"></div>
                    <div *ngIf="token.type === 3">
                        <input type="radio" [name]="i+1" (change)="change(token,i)" >
                        <label class="radioValue" for="task">{{token.value}}</label>
                    </div>
                </div>
            </div>
            <button class="sentTestButton" (click)="submitTest()" *ngIf="test.length !== 0">ПОШАЉИТЕ ТЕСТ</button>
        </div>
    </div>
</div>